(function() {
	if (typeof require !== 'undefined') {
		return;
	}
	
	var modules = {};
	var links = {};

	var resolve = function(map, path) {
		return modules[map[path]](path.match(/([^\/]*)(\.js)?$/gi)[0]);
	};
	var define = function(map, definition) {
		var module = {exports:{}, browser:true};
		
		definition(module, module.exports, function() {
			for (var i = 1; i < arguments.length; i++) {
				resolve(map, arguments[i]);
			}
			return resolve(map, arguments[0]);
		});
		
		return module.exports;
	};
	
	require = function(path) {
		return resolve(links, path);
	};
	require.list = function() {
		var list = [];
		
		for (var id in modules) {
			list.push(id);
		}
		return list;
	};
	require.define = function(id, map, definition) {
		modules[id] = modules[id] || function() {
			var exports;
			
			modules[id] = function() {
				return exports;
			};
			
			return exports = define(map, definition);
		};
	};
	require.entry = function(map, definition) {
		if (!definition) {
			for (var i in map) {
				links[i] = map[i];
			}
			return;
		}
		require.main = define(map, definition);
	};
})();